#!/bin/bash

date
echo "exec.sh start"
fifoName="exec.sh-fifo"
if [ ! -e ${fifoName} ]; then
    mkfifo -m 666 ${fifoName}
fi
exec 6<>${fifoName}
echo "0" >&6

if [ -f "/usr/share/revisions-manager/RevisionsManager/scripts/security/exectl_relabel" ];then
	cp exectl_relabel /usr/share/initramfs-tools/scripts/local-bottom/exectl_relabel
	chmod 755 /usr/share/initramfs-tools/scripts/local-bottom/exectl_relabel
else
	echo "exectl_relabel 文件不存在，退出"
	exit 1
fi

echo "50" >&6

mkinitramfs -o /boot/initrd.img-`uname -r` `uname -r`

touch /.autov101


echo "100" >&6
exec 6<&-
rm -f ${fifoName}

echo "success"
