#!/bin/bash

date
echo "pam_exec.sh start"
fifoName="pam_exec.sh-fifo"
if [ ! -e ${fifoName} ]; then
    mkfifo -m 666 ${fifoName}
fi
exec 6<>${fifoName}
echo "0" >&6

disPath="/tmp/pam_conf"
if [ ! -e ${disPath} ];then
    mkdir ${disPath}
fi

if [ ! -e /etc/login.defs ]; then
    echo "/etc/login.defs not exists"
else
    cp /etc/login.defs ${disPath}
fi

if [ ! -e /etc/security/pwquality.conf ]; then
    echo "/etc/security/pwquality.conf not exists"
else
    cp /etc/security/pwquality.conf ${disPath}
fi

if [ ! -e /etc/pam.d/common-auth ]; then
    echo "/etc/pam.d/common-auth not exists"
else
    cp /etc/pam.d/common-auth ${disPath}
fi

echo "30" >&6

/bin/bash pam_config_move.sh ${disPath}

echo "100" >&6
exec 6<&-
rm -f ${fifoName}

echo "success"
